Credits
Get Usage Statistics
Get credit usage statistics for a given period.
Get credit usage statistics for a given period.
Authorization
bearerAuth AuthorizationBearer <token>
API key as Bearer token. Format: signsecure_xxxxxxxx...
In: header
Query Parameters
startDate?string
Start of usage period (YYYY-MM-DD)
Format
dateendDate?string
End of usage period (YYYY-MM-DD)
Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.signsecure.com/api/v1/credits/usage"{
"totalUsed": 0,
"period": {
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z"
},
"breakdown": {
"document_signing": 0,
"aadhaar_esign": 0
}
}{
"code": "VALIDATION_ERROR",
"message": "startDate: Invalid date",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z",
"details": {
"validation": {
"fieldErrors": {
"startDate": [
"Invalid date"
]
},
"formErrors": [],
"issues": [
{
"path": "startDate",
"message": "Invalid date",
"code": "invalid_string"
}
]
}
}
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}{
"code": "FORBIDDEN",
"message": "API key is disabled",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "An internal error occurred",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}